package Tetris;

import javax.imageio.ImageIO;
import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;

public class TetrisMenue extends JFrame {
    private JTextField spielerNameTextField;
    private JButton spielStartenButton;
    private JPanel tetrisMenuePanel;
    private JLabel tetrisBildLabel;
    private JList list1;

    public TetrisMenue(String title)  {
        super(title);



        this.setPreferredSize(new Dimension(640,480));
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setContentPane(tetrisMenuePanel);
        this.pack();


    }

    private void createUIComponents() {
        // Bild zu JPanel hinzufügen (https://stackoverflow.com/questions/299495/how-to-add-an-image-to-a-jpanel)
        try{
            BufferedImage myPicture = ImageIO.read(new File("tetris.png"));
            tetrisBildLabel  = new JLabel(new ImageIcon(myPicture.getScaledInstance(300,125,Image.SCALE_SMOOTH)));
            //add(tetrisBildLabel);
        }
        catch (IOException exception)
        {
            System.out.println("Fehler bei laden vom Tetris Bild: " + exception.getMessage());
        }
        java.util.List<Player> playerList = PlayerDBController.getInstance().holeSpielerDaten();
        Player[] players = playerList.toArray(new Player[0]);
        Arrays.sort(players);
        list1 = new JList(players);
    }

    public JButton getSpielStartenButton() {
        return spielStartenButton;
    }

    public JTextField getSpielerNameTextField() {
        return spielerNameTextField;
    }
}
